Bug 506354 - When changing desktop effects, it loses taskbar on netbook.
When changing desktop effects, it loses taskbar on netbook.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 16:22 EDT by bhclaccount
Modified: 2010-06-28 09:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:04:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bhclaccount 2009-06-16 16:22:18 EDT
Description of problem:

When changing the desktop effects, the taskbar disappears.

Version-Release number of selected component (if applicable):

11.0 

How reproducible:

Using a netbook (so a shorter screen, but of normal width in resolution), checnge some of the desktop effects so that it is forced to blank the screen and reload the GUI. When it comes back, the taskbar is gone.

Probably what happens is on log-in, there is a check for the screen size which places the taskbar, etc properly. However, after changing settings in desktop effects (and restarting the video stuff) it is likely missing that same code check again, so it defaulted to a tall screen size (thus not correct and a problem on a netbook).

Steps to Reproduce:
1. Use a netbook
2. Change some desktop effects (turning it on first of course)
3. Watch it reload without the taskbar
  
Actual results:

Taskbar is gone.

Expected results:

A normal screen with the taskbar at the bottom of the screen.

Additional info:
Comment 1 Kevin Kofler 2009-06-16 22:30:21 EDT
What video driver?
Comment 2 bhclaccount 2009-06-16 23:46:24 EDT
(In reply to comment #1)
> What video driver?  

Vendor:   Tungsten Graphics, Inc
Model:   Mesa DRI Intel(R) 945GME GEM 20090114 x86/MMX/SSE2
Driver:   1.4 Mesa 7.5-devel
Comment 3 Steven M. Parrish 2009-07-22 08:54:27 EDT
Ping?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 bhclaccount 2009-07-30 15:41:31 EDT
What are you pinging? I posted the answer to the question. :)
Comment 5 Steven M. Parrish 2009-07-31 19:46:37 EDT
Pinging the devs to see if they have any comments

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 bhclaccount 2009-08-07 14:56:04 EDT
(In reply to comment #5)
> Pinging the devs to see if they have any comments
> 
> -- 
> Steven M. Parrish - KDE Triage Master
>                   - PackageKit Triager
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

Ah, thanks! :)
Comment 7 Steven M. Parrish 2009-09-12 19:38:06 EDT
Rex, Kevin do you think this is a KDE issue or video driver issue?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Kevin Kofler 2009-09-12 20:04:02 EDT
Looks like a KDE bug to me.
Comment 9 Steven M. Parrish 2009-09-12 20:16:20 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 bhclaccount 2009-09-17 15:24:56 EDT
I'm not 100% convinced this is purely a KDE issue. I think it might be a fedora-kde issue, but I reported it there anyways:
http://bugs.kde.org/show_bug.cgi?id=207721
Comment 11 Bug Zapper 2010-04-27 10:59:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 09:04:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.